Subject: Re: bug#28580: python.el: native completion setup failed

From: Андрей Парамонов<[email-masked]>
Date: Sun, 24 Sep 2017 21:02:53 +0300

Hi Noam!

2017-09-24 20:51 GMT+03:00 Noam Postavsky <[email-masked]>:

> > It didn't help, unfortunately: I was indeed missing pyreadline, but
> > installing it from conda repo made no difference :-(
> > Neither did using "-i -u" as interactive Python arg.
> >
> > I vaguely remember this working with older Pythons -- what could
> > probably change?
>
> Hmm, can you try running the python code from
> python-shell-completion-native-setup manually from a prompt and see what
> comes out? (or where it goes wrong)
>

It is too tiresome to input it one-by-one line!
When I invoke
>py -i t.py
where t.py contains the code you listed, all is silently Ok.
Should I take time and enter it line-by-line, interactively -- or the
problem is likely elsewhere?

Best wishes,
Andrey Paramonov